#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hls-refactor-plugin
version:              1.1.0.0
visibility:           public
id:                   hls-refactor-plugin-1.1.0.0-DKRJ1IidGEL7uyOCrL2itw
key:                  hls-refactor-plugin-1.1.0.0-DKRJ1IidGEL7uyOCrL2itw
license:              Apache-2.0
copyright:            The Haskell IDE Team
maintainer:           zubin.duggal@gmail.com
author:               The Haskell IDE Team
synopsis:             Exactprint refactorings for Haskell Language Server
description:
    Please see the README on GitHub at <https://github.com/haskell/haskell-language-server#readme>

category:             Development
abi:                  61cea27d24a09a617a8a6dfca1484b37
exposed:              True
exposed-modules:
    Development.IDE.GHC.Compat.ExactPrint Development.IDE.GHC.Dump
    Development.IDE.GHC.ExactPrint Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.Util

hidden-modules:
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.Plugins.AddArgument
    Development.IDE.Plugin.Plugins.Diagnostic
    Development.IDE.Plugin.Plugins.FillHole
    Development.IDE.Plugin.Plugins.FillTypeWildcard
    Development.IDE.Plugin.Plugins.ImportUtils

import-dirs:          /usr/lib/ghc-9.0.2/site-local/hls-refactor-plugin-1.1.0.0
library-dirs:         /usr/lib/ghc-9.0.2/site-local/hls-refactor-plugin-1.1.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hls-refactor-plugin
hs-libraries:         HShls-refactor-plugin-1.1.0.0-DKRJ1IidGEL7uyOCrL2itw
depends:
    aeson-2.1.2.1-ACNZHhH4U2e67aZXZDgTOb base-4.15.1.0
    bytestring-0.10.12.1 containers-0.6.4.1
    data-default-0.7.1.1-8E5NGoO1gLxEpVTFDWBmYU deepseq-1.4.5.0
    dlist-1.0-JalAZsGq1LOCqqdFHHEpoL
    extra-1.7.14-1peTzRJ4sdJJmIV6KfSmoB ghc-9.0.2 ghc-boot-9.0.2
    ghc-exactprint-0.6.4-Jo7yR2qBwA6LxXK3wWvCPB
    ghcide-1.9.0.0-BsUUPq2r4gI1P2N2VBkANt
    hls-graph-1.9.0.0-A9ddlQDR2isBSeda0pebgZ
    hls-plugin-api-1.6.0.0-HFGSVbk6nyHLe4sezj6wDv
    lens-5.2.3-A4jq1zRTTDpJs4RZBLF7I7
    lsp-1.6.0.0-LPBD4p5QyQJ8TEnBD5gyoN mtl-2.2.2
    regex-tdfa-1.3.2.2-Kac2xxUnm8OItXb9Qjlyck
    retrie-1.1.0.0-LBYslwSNUz4GF3nNMkPCvN
    syb-0.7.2.3-F4C6wO1lPr57dhtwlEni6j text-1.2.5.0
    text-rope-0.2-84r9SAwPbjXBRy0TDJReq9 time-1.9.3
    transformers-0.5.6.2
    unordered-containers-0.2.19.1-J4eg8YowQRtEC3N7B7zfuy

haddock-interfaces:
    /usr/share/doc/haskell-hls-refactor-plugin/html/hls-refactor-plugin.haddock

haddock-html:         /usr/share/doc/haskell-hls-refactor-plugin/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

